package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.WFIAAction;
import com.sa.ibiz.demo.demo.service.WFIAActionService;
import com.sa.ibiz.demo.demo.service.dto.WFIAActionSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/wfiaaction")
public class WFIAActionResource
{
	@Autowired
	private WFIAActionService service;


	@GetMapping(value = "/{id}")
	public ResponseEntity<WFIAAction> get(@Validated @PathVariable String id){
		WFIAAction data=new WFIAAction();
		data.setWfiaactionid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("工作流交互操作[get]操作发生错误","WFIAAction",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<WFIAAction> checkKey(@Validated @RequestBody WFIAAction data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流交互操作[checkKey]操作发生错误","WFIAAction",data.getWfiaactionid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<WFIAAction> getDraft(@Validated @RequestBody WFIAAction data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流交互操作[getDraft]操作发生错误","WFIAAction","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/remove")
	public ResponseEntity<WFIAAction> remove(@Validated @RequestBody WFIAAction data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流交互操作[remove]操作发生错误","WFIAAction",data.getWfiaactionid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<WFIAAction> update(@Validated @RequestBody WFIAAction data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流交互操作[update]操作发生错误","WFIAAction",data.getWfiaactionid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<WFIAAction> create(@Validated @RequestBody WFIAAction data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流交互操作[create]操作发生错误","WFIAAction",data.getWfiaactionid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<WFIAAction>> searchDefaultPage(@Validated @RequestBody WFIAActionSearchFilter filter){
		Page<WFIAAction> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<WFIAAction>> listDefault(@Validated @RequestBody WFIAActionSearchFilter filter){
		List<WFIAAction> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
